Bug 444350 - kdelibs: ignores /etc/xdg/autostart
kdelibs: ignores /etc/xdg/autostart
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kdelibs (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Ngo Than
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-27 11:32 EDT by ritz
Modified: 2013-04-12 15:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-27 04:30:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2008-04-27 11:32:04 EDT
Description of problem:
Files in /etc/xdg/autostart are ignored by kdelibs. 

Version-Release number of selected component (if applicable):
kdelibs-3.5.4-13.el5

How reproducible:
always

Steps to Reproduce:
1. Create a .desktop file in /etc/xdg/autostart or check that one of the
existing files gets executed. For example puplet.desktop which starts puplet, is
ignored.
  
Actual results:
.desktop files in /etc/xdg/autostart are ignored

Expected results:
Should not be ignored


Additional info:
This has been fixed in Fedora 8, kdelibs 3.5.7-23_fc8, with BZ #243611.
patch file - 
http://cvs.fedoraproject.org/viewcvs/rpms/kdelibs/F-7/kdelibs-3.5.7-autostart.patch?rev=1.1&view=log
Comment 2 Phil Knirsch 2008-04-30 10:07:29 EDT
Proposing for RHEL-5.3 and granting Devel ACK.

Read ya, Phil
Comment 3 Ngo Than 2008-05-15 06:17:41 EDT
+devel for RHEL-5.3 update
Comment 5 Thomas Woerner 2008-07-14 15:11:03 EDT
The maintainter will be back on Monday. Querying exception flag for now.
Comment 15 errata-xmlrpc 2008-08-27 04:30:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0811.html

Note You need to log in before you can comment on or make changes to this bug.